using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ms_namingservice.Database.Models;

[Table("les")]
public class Les
{
    [Column("id_les")] [Key] public int Identifier { get; set; }

    [Column("id_parent_les")]
    [ForeignKey("id_parent_les")]
    public Les Parent { get; set; }

    [Column("id_les_type")]
    [ForeignKey("id_les_type")]
    public LesType LesType { get; set; }

    public virtual ICollection<Entity> Objects { get; set; } = new List<Entity>();
}